use strict;
use warnings;
use feature 'say';
use Devel::Peek;
use Encode;
$| = 1; # autoflush

# Latin-1 encoded string
my $auml = "\xE4"; # ä (a + umlaut)

#say $auml; # (a)

Dump $auml; # (b)

say encode_utf8($auml); # (c)

Dump encode_utf8($auml); # (k)

my $copy = $auml;
utf8::upgrade($copy); # (e)

Dump $copy; # (f)

say "latin-1 text eq utf-8 text: ",
    $auml eq $copy; # (g)

